Modbot Docs
APIAPI referenceTwitch

List recent Twitch streams

GET/api/twitch/streams

The channel's most recent streams as the poll saw them, newest first, each with the calendar event it is linked to. For choosing a stream to link to an event.

Needs the ManageCalendar permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/twitch/streams"
[  {    "id": "string",    "title": null,    "category": null,    "viewers": 0,    "peakViewers": 0,    "startedAt": "2019-08-24T14:15:22Z",    "endedAt": null,    "eventId": null,    "eventTitle": null,    "link": null  }]

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.